| IOLink C# 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Static Public Attributes | Protected Member Functions | List of all members
IOLink.ColumnUnitExtension Class Reference

Extension to handle units of columns in a dataframe. More...

Inheritance diagram for IOLink.ColumnUnitExtension:

## Public Member Functions
| ColumnUnitExtension (global::System.IntPtr cPtr, bool cMemoryOwn)
virtual string | Unit (uint columnIndex)
virtual void | SetUnit (uint columnIndex, string unit)
Public Member Functions inherited from IOLink.Extension
| Extension (global::System.IntPtr cPtr, bool cMemoryOwn)
void | Dispose ()

## Static Public Member Functions
static global::System.Runtime.InteropServices.HandleRef | getCPtr (ColumnUnitExtension obj)
static ColumnUnitExtension | Cast (Extension extension)
Static Public Member Functions inherited from IOLink.Extension
static global::System.Runtime.InteropServices.HandleRef | getCPtr (Extension obj)

## Static Public Attributes
static readonly uint | EXTENSION_ID = IOLinkPINVOKE.ColumnUnitExtension_EXTENSION_ID_get()

## Protected Member Functions
override void | Dispose (bool disposing)

## Detailed Description

Extension to handle units of columns in a dataframe.

This extension allows to get and set the unit of a column in a dataframe.

The unit is an UTF-8 encoded string that describes the unit of the column, in a format described as follows:

- A scalar unit is an string of alphabetical characters, describing the base unit. For example, "m" for meters, "s" for seconds, or "Å" for angstroms.
- Such scalar can have a dimensional suffix, starting with the `^` character, followed by an integer number. this number may be prefixed by a sign, `+` or `-`.
- Unsuffixed units of unsuffixed units may be combined using the `/` or `.` character, to form a compound unit. For example, "m/s" for meters per second.
- An empty unit, or "" is a valid unit, and is equivalent to a dimensionless unit.

Examples of such units:

- "m/s" or "m.s^-1" for meters per second.
- "µm^2" for square micrometers.
- "Ω.s^-1" for ohms per seconds, or more simply as siemens "S".

## Member Function Documentation

## ◆ Cast()

static ColumnUnitExtension IOLink.ColumnUnitExtension.Cast | ( | Extension | extension | ) |
| inline static

Upcast a generic extension to this specific type.

Parameters

  extension | The extension to cast.

Returns
  The upcasted extension. This will be null if no upcasting is possible.

## ◆ Dispose()

override void IOLink.ColumnUnitExtension.Dispose | ( | bool | disposing | ) |
| inline protected virtual

Reimplemented from IOLink.Extension.

## ◆ SetUnit()

virtual void IOLink.ColumnUnitExtension.SetUnit | ( | uint | columnIndex,
|  | string | unit
| ) |  |
| inline virtual

Set the unit of the column.

Parameters

  columnIndex | The index of the column.
  unit | The unit of the column.

Exceptions

  Error | if the column index is out of range.
  Error | if DataFrameView does not have the WRITE capability.

## ◆ Unit()

virtual string IOLink.ColumnUnitExtension.Unit | ( | uint | columnIndex | ) |
| inline virtual

Return the unit of the column.

Parameters

  columnIndex | The index of the column.

Returns
  The unit of the column.

Exceptions

  Error | if the column index is out of range.

The documentation for this class was generated from the following file:

- Release/net/generated/ColumnUnitExtension.cs